%global sourceurl http://icedtea.classpath.org/download/visualvm
%global visualvmharnessver 1.3

%define subrel 1

Name:          visualvm    
Version:       1.3.3
Release:       %mkrel %{visualvmharnessver}.6.1
Summary:       Lightweight profiler that integrates many command-line JDK tools
Group:         Development/Java
License:       GPLv2 and GPLv2+ and (GPLv2 with exceptions or CDDL)
URL:           http://visualvm.dev.java.net/

Source0:       %{sourceurl}/visualvm_harness-%{visualvmharnessver}.tar.gz
Source1:       %{sourceurl}/visualvm_133-src.tar.gz
Source2:       %{sourceurl}/netbeans-profiler-visualvm_release701.tar.gz
Source3:       openjdkvisualvm.png
Patch0:     visualvm-1.3.3-icons.patch
Patch1:     visualvm-ant-1.9.patch

BuildRequires: wget
BuildRequires: desktop-file-utils
BuildRequires: imagemagick
BuildRequires: jakarta-commons-logging
BuildRequires: java >= 0:1.6.0 
BuildRequires: java-devel >= 0:1.6.0 
BuildRequires: netbeans-platform >= 6.9-1
BuildRequires: netbeans-platform-harness
BuildRequires: gzip
Requires:      netbeans-platform >= 6.9-1
Requires:      java >= 0:1.6.0 
Requires:      java-devel >= 0:1.6.0 
Conflicts:     java-1.6.0-openjdk <= 0:1.6.0.0-11
# TODO incorrect Conflicts:     java-1.6.0-openjdk <= 1:1.6.0.0-47

%description
VisualVM is a visual tool integrating several command-line JDK tools and
lightweight profiling capabilities. Designed for both production and
development time use, it further enhances the capability of monitoring and
performance analysis for the Java SE platform. 


%prep
%setup -q -n visualvm_harness-%{visualvmharnessver}
%patch0 -p1

# Patch profiler to build against ant 1.9
mkdir netbeans && tar xzf %{SOURCE2} -C netbeans
pushd netbeans
%patch1 -p1 -b.orig
popd

%build
[ ! -f configure ] && sh ./autogen.sh
%configure2_5x \
  --with-visualvm-zip=%{SOURCE1} \
  --with-netbeans-profiler-zip=%{SOURCE2} \
  --with-visualvm-version=%{version}

# We patched the profiler, so touch file to prevent checksum failure
mkdir -p stamps
touch stamps/download-netbeans-profiler.stamp
touch stamps/extract-netbeans-profiler.stamp

%make NBBUILD_PROPERTIES="$NBBUILD_PROPERTIES -Dnb.cluster.platform-is-built=true  -Dnb.cluster.harness-is-built=true -Ddo-not-rebuild-clusters=true -Dpermit.jdk7.builds=true"

%install
%makeinstall_std

#silence rpmlint for necessary empty files
find %{buildroot}%{_libdir}/visualvm/visualvm/config/Modules/  -type f -empty | while read FILE; do echo " " > $FILE;done

echo " " > %{buildroot}%{_libdir}/visualvm/profiler/.lastModified

for s in 128x128 32x32 16x16 ; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${s}/apps
  convert -resize ${s} %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/${s}/apps/visualvm.png
done

mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -sf ../icons/hicolor/32x32/apps/visualvm.png %{buildroot}%{_datadir}/pixmaps/visualvm.png

desktop-file-install --mode=644 --dir %{buildroot}%{_datadir}/applications visualvm.desktop

# Warning: undefined symbols in /usr/lib/visualvm/profiler/lib/deployed/jdk1*/linux*/libprofilerinterface.so: dlsym

%files
%config(noreplace) %{_sysconfdir}/visualvm.clusters
%config(noreplace) %{_sysconfdir}/visualvm.conf
%attr(755,root,root) %{_bindir}/jvisualvm
%{_libdir}/visualvm
%{_datadir}/applications/visualvm.desktop
%{_datadir}/icons/hicolor/*/apps/visualvm.png
%{_datadir}/pixmaps/visualvm.png
%doc COPYING INSTALL README


%changelog
* Sun Dec 01 2013 joequant <joequant> 1.3.3-1.3.6.1.1.mga4
+ Revision: 554559
- port fedora changes.  build for mageia 4

  + dmorgan <dmorgan>
    - Fix make command (gil)
    - Adapt for mageia
    - imported package visualvm

  + kamil <kamil>
    - remove doubled %%changelog (mga#3356)
    - clean .spec

  + gil <gil>
    - rebuilt with latest stable visualvm_harness
    - update to 1.3.3
    - update to 1.3.2

